### Function Macro

# Panel DEFINE_ACTION_GROUP

since: 1

#### Declaration [src]

    #define PANEL_DEFINE_ACTION_GROUP (
      Type,
      prefix,
      ...
    )

#### Description [src]

Use this to define a type that will implement GActionGroup.

The @… parameters should be identifical to implementing a `GActionEntry` array, except that the activate and change_state functions take a simplier protoype of just:

    void (*activate) (Type *self, GVariant *state);
    void (*change_state) (Type *self, GVariant *state);

You must add the following to your type defintion using `G_DEFINE_TYPE_WITH_CODE` or similar:

    G_IMPLEMENT_INTERFACE(G_TYPE_ACTION_GROUP, my_object_init_action_group)

Available since: 1

This function is not directly available to language bindings.

#### Parameters

`Type`

  Type: `-`

  The type name like MyObject.

`prefix`

  Type: `-`

  The type prefix like my_prefix.

`...`

  Type: `-`

  An array definition of GActionEntry.